libstdc++: std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc > Class Template Reference

libstdc++

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc > Class Template Reference

`#include <unordered_set>`

Inheritance diagram for std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >:
[legend]

## Public Types
typedef _Base::allocator_type | allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, unordered_multiset > | const_iterator
typedef __gnu_debug::_Safe_local_iterator< _Base_const_local_iterator, unordered_multiset > | const_local_iterator
typedef _Base::const_pointer | const_pointer
typedef _Base::const_reference | const_reference
typedef _Base::difference_type | difference_type
typedef _Base::hasher | hasher
typedef __gnu_debug::_Safe_iterator< _Base_iterator, unordered_multiset > | iterator
typedef _Base::key_equal | key_equal
typedef _Base::key_type | key_type
typedef __gnu_debug::_Safe_local_iterator< _Base_local_iterator, unordered_multiset > | local_iterator
typedef _Base::pointer | pointer
typedef _Base::reference | reference
typedef _Base::size_type | size_type
typedef _Base::value_type | value_type

## Public Member Functions
| unordered_multiset (_Base_ref __x)
template<typename _InputIterator>
| unordered_multiset (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
template<typename _InputIterator>
| unordered_multiset (_InputIterator __first, _InputIterator __last, size_type __n, const allocator_type &__a)
template<typename _InputIterator>
| unordered_multiset (_InputIterator __first, _InputIterator __last, size_type __n, const hasher &__hf, const allocator_type &__a)
template<typename _InputIterator>
| unordered_multiset (_InputIterator __first, _InputIterator __last, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_multiset (const allocator_type &__a)
| unordered_multiset (const unordered_multiset &)=default
| unordered_multiset (const unordered_multiset &__uset, const allocator_type &__a)
| unordered_multiset (initializer_list< value_type > __l, const allocator_type &__a)
| unordered_multiset (initializer_list< value_type > __l, size_type __n, const allocator_type &__a)
| unordered_multiset (initializer_list< value_type > __l, size_type __n, const hasher &__hf, const allocator_type &__a)
| unordered_multiset (initializer_list< value_type > __l, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_multiset (size_type __n, const allocator_type &__a)
| unordered_multiset (size_type __n, const hasher &__hf, const allocator_type &__a)
| unordered_multiset (size_type __n, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_multiset (unordered_multiset &&)=default
| unordered_multiset (unordered_multiset &&__uset, const allocator_type &__a) noexcept(noexcept(_Base(std::move(__uset), __a)))
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
const_iterator | begin () const noexcept
iterator | begin () noexcept
local_iterator | begin (size_type __b)
const_local_iterator | begin (size_type __b) const
size_type | bucket_size (size_type __b) const
const_iterator | cbegin () const noexcept
const_local_iterator | cbegin (size_type __b) const
const_iterator | cend () const noexcept
const_local_iterator | cend (size_type __b) const
void | clear () noexcept
template<typename... _Args>
iterator | emplace (_Args &&... __args)
template<typename... _Args>
iterator | emplace_hint (const_iterator __hint, _Args &&... __args)
const_iterator | end () const noexcept
iterator | end () noexcept
local_iterator | end (size_type __b)
const_local_iterator | end (size_type __b) const
std::pair< iterator, iterator > | equal_range (const key_type &__key)
std::pair< const_iterator, const_iterator > | equal_range (const key_type &__key) const
_Base_iterator | erase (_Base_const_iterator __it)
template<__heterogeneous_hash_key< unordered_multiset > _Kt>
size_type | erase (_Kt &&__key)
size_type | erase (const key_type &__key)
iterator | erase (const_iterator __first, const_iterator __last)
iterator | erase (const_iterator __it)
iterator | erase (iterator __it)
iterator | find (const key_type &__key)
const_iterator | find (const key_type &__key) const
template<typename _InputIterator>
void | insert (_InputIterator __first, _InputIterator __last)
iterator | insert (const value_type &__obj)
iterator | insert (const_iterator __hint, const value_type &__obj)
iterator | insert (const_iterator __hint, value_type &&__obj)
void | insert (std::initializer_list< value_type > __l)
iterator | insert (value_type &&__obj)
float | max_load_factor () const noexcept
void | max_load_factor (float __f)
unordered_multiset & | operator= (const unordered_multiset &)=default
unordered_multiset & | operator= (initializer_list< value_type > __l)
unordered_multiset & | operator= (unordered_multiset &&)=default
void | swap (unordered_multiset &__x) noexcept(noexcept(declval< _Base & >().swap(__x)))

## Protected Member Functions
constexpr void | _M_swap (const _Safe_container &__x) const noexcept

## Friends
template<typename _ItT, typename _SeqT, typename _CatT>
class | ::__gnu_debug::_Safe_iterator
template<typename _ItT, typename _SeqT>
class | ::__gnu_debug::_Safe_local_iterator

## Detailed Description

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
class std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >

Class std::unordered_multiset with safety/checking/debug instrumentation.

Definition at line 839 of file debug/unordered_set.

## Member Typedef Documentation

## ◆ allocator_type

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::allocator_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::allocator_type

Definition at line 873 of file debug/unordered_set.

## ◆ const_iterator

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, unordered_multiset> std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::const_iterator

Definition at line 885 of file debug/unordered_set.

## ◆ const_local_iterator

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef __gnu_debug::_Safe_local_iterator< _Base_const_local_iterator, unordered_multiset> std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::const_local_iterator

Definition at line 889 of file debug/unordered_set.

## ◆ const_pointer

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::const_pointer std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::const_pointer

Definition at line 879 of file debug/unordered_set.

## ◆ const_reference

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::const_reference std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::const_reference

Definition at line 881 of file debug/unordered_set.

## ◆ difference_type

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::difference_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::difference_type

Definition at line 870 of file debug/unordered_set.

## ◆ hasher

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::hasher std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::hasher

Definition at line 871 of file debug/unordered_set.

## ◆ iterator

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef __gnu_debug::_Safe_iterator< _Base_iterator, unordered_multiset> std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::iterator

Definition at line 883 of file debug/unordered_set.

## ◆ key_equal

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::key_equal std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::key_equal

Definition at line 872 of file debug/unordered_set.

## ◆ key_type

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::key_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::key_type

Definition at line 875 of file debug/unordered_set.

## ◆ local_iterator

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef __gnu_debug::_Safe_local_iterator< _Base_local_iterator, unordered_multiset> std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::local_iterator

Definition at line 887 of file debug/unordered_set.

## ◆ pointer

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::pointer std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::pointer

Definition at line 878 of file debug/unordered_set.

## ◆ reference

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::reference std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::reference

Definition at line 880 of file debug/unordered_set.

## ◆ size_type

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::size_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::size_type

Definition at line 869 of file debug/unordered_set.

## ◆ value_type

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

typedef _Base::value_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::value_type

Definition at line 876 of file debug/unordered_set.

## Constructor & Destructor Documentation

## ◆ unordered_multiset() [1/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | size_type | __n,
|  | const hasher & | __hf = hasher(),
|  | const key_equal & | __eql = key_equal(),
|  | const allocator_type & | __a = allocator_type() )
| inlineexplicit

Definition at line 894 of file debug/unordered_set.

## ◆ unordered_multiset() [2/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename _InputIterator>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | size_type | __n = 0,
|  | const hasher & | __hf = hasher(),
|  | const key_equal & | __eql = key_equal(),
|  | const allocator_type & | __a = allocator_type() )
| inline

Definition at line 901 of file debug/unordered_set.

## ◆ unordered_multiset() [3/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | _Base_ref | __x | ) |
| inline

Definition at line 913 of file debug/unordered_set.

## ◆ unordered_multiset() [4/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | const allocator_type & | __a | ) |
| inlineexplicit

Definition at line 919 of file debug/unordered_set.

## ◆ unordered_multiset() [5/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __uset,
|  | const allocator_type & | __a )
| inline

Definition at line 922 of file debug/unordered_set.

## ◆ unordered_multiset() [6/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | unordered_multiset< _Value, _Hash, _Pred, _Alloc > && | __uset,
|  | const allocator_type & | __a )
| inlinenoexcept

Definition at line 926 of file debug/unordered_set.

## ◆ unordered_multiset() [7/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | initializer_list< value_type > | __l,
|  | size_type | __n = 0,
|  | const hasher & | __hf = hasher(),
|  | const key_equal & | __eql = key_equal(),
|  | const allocator_type & | __a = allocator_type() )
| inline

Definition at line 932 of file debug/unordered_set.

## ◆ unordered_multiset() [8/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | size_type | __n,
|  | const allocator_type & | __a )
| inline

Definition at line 939 of file debug/unordered_set.

## ◆ unordered_multiset() [9/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | size_type | __n,
|  | const hasher & | __hf,
|  | const allocator_type & | __a )
| inline

Definition at line 943 of file debug/unordered_set.

## ◆ unordered_multiset() [10/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename _InputIterator>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const allocator_type & | __a )
| inline

Definition at line 949 of file debug/unordered_set.

## ◆ unordered_multiset() [11/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename _InputIterator>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | size_type | __n,
|  | const allocator_type & | __a )
| inline

Definition at line 955 of file debug/unordered_set.

## ◆ unordered_multiset() [12/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename _InputIterator>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | size_type | __n,
|  | const hasher & | __hf,
|  | const allocator_type & | __a )
| inline

Definition at line 962 of file debug/unordered_set.

## ◆ unordered_multiset() [13/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | initializer_list< value_type > | __l,
|  | const allocator_type & | __a )
| inline

Definition at line 968 of file debug/unordered_set.

## ◆ unordered_multiset() [14/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | initializer_list< value_type > | __l,
|  | size_type | __n,
|  | const allocator_type & | __a )
| inline

Definition at line 973 of file debug/unordered_set.

## ◆ unordered_multiset() [15/15]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::unordered_multiset | ( | initializer_list< value_type > | __l,
|  | size_type | __n,
|  | const hasher & | __hf,
|  | const allocator_type & | __a )
| inline

Definition at line 979 of file debug/unordered_set.

## Member Function Documentation

## ◆ _M_base() [1/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const _Base & std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::_M_base | ( |  | ) | const
| inlinenoexcept

Definition at line 1432 of file debug/unordered_set.

## ◆ _M_base() [2/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

_Base & std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::_M_base | ( |  | ) |
| inlinenoexcept

Definition at line 1429 of file debug/unordered_set.

## ◆ _M_swap()

template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>

void __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >::_M_swap | ( | const _Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > & | __x | ) | const
| inlineconstexprprotectednoexceptinherited

Definition at line 141 of file safe_container.h.

## ◆ begin() [1/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::begin | ( |  | ) | const
| inlinenoexcept

Definition at line 1054 of file debug/unordered_set.

## ◆ begin() [2/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::begin | ( |  | ) |
| inlinenoexcept

Definition at line 1050 of file debug/unordered_set.

## ◆ begin() [3/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

local_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::begin | ( | size_type | __b | ) |
| inline

Definition at line 1075 of file debug/unordered_set.

## ◆ begin() [4/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_local_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::begin | ( | size_type | __b | ) | const
| inline

Definition at line 1089 of file debug/unordered_set.

## ◆ bucket_size()

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

size_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::bucket_size | ( | size_type | __b | ) | const
| inline

Definition at line 1120 of file debug/unordered_set.

## ◆ cbegin() [1/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::cbegin | ( |  | ) | const
| inlinenoexcept

Definition at line 1066 of file debug/unordered_set.

## ◆ cbegin() [2/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_local_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::cbegin | ( | size_type | __b | ) | const
| inline

Definition at line 1103 of file debug/unordered_set.

## ◆ cend() [1/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::cend | ( |  | ) | const
| inlinenoexcept

Definition at line 1070 of file debug/unordered_set.

## ◆ cend() [2/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_local_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::cend | ( | size_type | __b | ) | const
| inline

Definition at line 1110 of file debug/unordered_set.

## ◆ clear()

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

void std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::clear | ( |  | ) |
| inlinenoexcept

Definition at line 1043 of file debug/unordered_set.

## ◆ emplace()

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename... _Args>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::emplace | ( | _Args &&... | __args | ) |
| inline

Definition at line 1145 of file debug/unordered_set.

## ◆ emplace_hint()

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename... _Args>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::emplace_hint | ( | const_iterator | __hint,
|  | _Args &&... | __args )
| inline

Definition at line 1155 of file debug/unordered_set.

## ◆ end() [1/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::end | ( |  | ) | const
| inlinenoexcept

Definition at line 1062 of file debug/unordered_set.

## ◆ end() [2/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::end | ( |  | ) |
| inlinenoexcept

Definition at line 1058 of file debug/unordered_set.

## ◆ end() [3/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

local_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::end | ( | size_type | __b | ) |
| inline

Definition at line 1082 of file debug/unordered_set.

## ◆ end() [4/4]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_local_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::end | ( | size_type | __b | ) | const
| inline

Definition at line 1096 of file debug/unordered_set.

## ◆ equal_range() [1/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::pair< iterator, iterator > std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::equal_range | ( | const key_type & | __key | ) |
| inline

Definition at line 1334 of file debug/unordered_set.

## ◆ equal_range() [2/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

std::pair< const_iterator, const_iterator > std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::equal_range | ( | const key_type & | __key | ) | const
| inline

Definition at line 1353 of file debug/unordered_set.

## ◆ erase() [1/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

_Base_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::erase | ( | _Base_const_iterator | __it | ) |
| inline

Definition at line 1396 of file debug/unordered_set.

## ◆ erase() [2/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<__heterogeneous_hash_key< unordered_multiset > _Kt>

size_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::erase | ( | _Kt && | __key | ) |
| inline

Definition at line 1381 of file debug/unordered_set.

## ◆ erase() [3/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

size_type std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::erase | ( | const key_type & | __key | ) |
| inline

Definition at line 1372 of file debug/unordered_set.

## ◆ erase() [4/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::erase | ( | const_iterator | __first,
|  | const_iterator | __last )
| inline

Definition at line 1410 of file debug/unordered_set.

## ◆ erase() [5/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::erase | ( | const_iterator | __it | ) |
| inline

Definition at line 1389 of file debug/unordered_set.

## ◆ erase() [6/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::erase | ( | iterator | __it | ) |
| inline

Definition at line 1403 of file debug/unordered_set.

## ◆ find() [1/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::find | ( | const key_type & | __key | ) |
| inline

Definition at line 1302 of file debug/unordered_set.

## ◆ find() [2/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

const_iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::find | ( | const key_type & | __key | ) | const
| inline

Definition at line 1315 of file debug/unordered_set.

## ◆ insert() [1/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename _InputIterator>

void std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::insert | ( | _InputIterator | __first,
|  | _InputIterator | __last )
| inline

Definition at line 1213 of file debug/unordered_set.

## ◆ insert() [2/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::insert | ( | const value_type & | __obj | ) |
| inline

Definition at line 1166 of file debug/unordered_set.

## ◆ insert() [3/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::insert | ( | const_iterator | __hint,
|  | const value_type & | __obj )
| inline

Definition at line 1175 of file debug/unordered_set.

## ◆ insert() [4/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::insert | ( | const_iterator | __hint,
|  | value_type && | __obj )
| inline

Definition at line 1194 of file debug/unordered_set.

## ◆ insert() [5/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

void std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::insert | ( | std::initializer_list< value_type > | __l | ) |
| inline

Definition at line 1204 of file debug/unordered_set.

## ◆ insert() [6/6]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

iterator std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::insert | ( | value_type && | __obj | ) |
| inline

Definition at line 1185 of file debug/unordered_set.

## ◆ max_load_factor() [1/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

float std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::max_load_factor | ( |  | ) | const
| inlinenoexcept

Definition at line 1130 of file debug/unordered_set.

## ◆ max_load_factor() [2/2]

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

void std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::max_load_factor | ( | float | __f | ) |
| inline

Definition at line 1134 of file debug/unordered_set.

## ◆ operator=()

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

unordered_multiset & std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::operator= | ( | initializer_list< value_type > | __l | ) |
| inline

Definition at line 1022 of file debug/unordered_set.

## ◆ swap()

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>

void std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >::swap | ( | unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x | ) |
| inlinenoexcept

Definition at line 1035 of file debug/unordered_set.

## Friends And Related Symbol Documentation

## ◆ ::__gnu_debug::_Safe_iterator

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename _ItT, typename _SeqT, typename _CatT>

friend class ::__gnu_debug::_Safe_iterator
| friend

Definition at line 856 of file debug/unordered_set.

## ◆ ::__gnu_debug::_Safe_local_iterator

template<typename _Value, typename _Hash = std::hash<_Value>, typename _Pred = std::equal_to<_Value>, typename _Alloc = std::allocator<_Value>>
template<typename _ItT, typename _SeqT>

friend class ::__gnu_debug::_Safe_local_iterator
| friend

Definition at line 858 of file debug/unordered_set.

The documentation for this class was generated from the following file:

- debug/unordered_set